summaryrefslogtreecommitdiff
path: root/travis
diff options
context:
space:
mode:
authorDavid Sterba <dsterba@suse.com>2018-02-08 01:24:25 +0100
committerDavid Sterba <dsterba@suse.com>2018-02-08 01:24:25 +0100
commit47cbdeb83617917132cc48b704bebb9cba26e15b (patch)
treebed844d591b71077ce393ee90ed1932b2c7c95e3 /travis
parent5720b3ae9a8be9eb949731a9a6924b6b987f1f9f (diff)
btrfs-progs: ci: add support scripts for docker build
The test-build resides inside the docker image and is supposed to be called from outside, downloads the branch and calls build-default. Buid-default will run up to make. Signed-off-by: David Sterba <dsterba@suse.com>
Diffstat (limited to 'travis')
-rwxr-xr-xtravis/build-default13
-rwxr-xr-xtravis/images/test-build15
2 files changed, 28 insertions, 0 deletions
diff --git a/travis/build-default b/travis/build-default
new file mode 100755
index 0000000..b43302d
--- /dev/null
+++ b/travis/build-default
@@ -0,0 +1,13 @@
+#!/bin/sh
+# usage: $0 [optional arguments to configure]
+
+if ! [ -f "./autogen.sh" ]; then
+ echo "ERROR: cannot find autogen.sh, run from the top level directory"
+ exit 1
+fi
+
+set -e
+
+./autogen.sh
+./configure "$@"
+make
diff --git a/travis/images/test-build b/travis/images/test-build
new file mode 100755
index 0000000..2f05fbf
--- /dev/null
+++ b/travis/images/test-build
@@ -0,0 +1,15 @@
+#!/bin/sh
+# usage: $0 [branch name] [configure parameters]
+
+urlbase="https://github.com/kdave/btrfs-progs/archive/"
+branch=${1:-devel}
+url=${urlbase}${branch}.tar.gz
+
+shift
+
+echo "btrfs-progs build test of branch ${branch}"
+cd /tmp
+wget "$url" -O ${branch}.tar.gz
+tar xf ${branch}.tar.gz
+cd btrfs-progs-${branch}
+travis/build-default "$@"